Skip to main content
GET
Find alert by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Alert ID

Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

Return alert by id

id
string<uuid>
required

The unique identifier of the alert in the Trusto system

Example:

"3114afe2-9996-48c9-88cb-3c9fc6a88414"

providerId
string
required

The unique identifier of the alert from the provider

Example:

"5F2RE3960S9ASDC2F026BF16"

provider
enum<string>
required

The provider of the alert

Available options:
ETHOCA,
VERIFI
Example:

"ETHOCA"

type
enum<string>
required

Alert type

Available options:
ETHOCA_CONFIRMED_FRAUD,
ETHOCA_CUSTOMER_DISPUTE
Example:

"ETHOCA_CONFIRMED_FRAUD"

alertTimeStamp
string<date-time>
required

The timestamp of the alert registration

Example:

"2024-12-12T12:00:00Z"

enrollmentId
string<uuid>
required

ID of the enrollment that alert is associated with

Example:

"3114afe2-9996-48c9-88cb-3c9fc6a88414"

companyId
string<uuid>
required

ID of the company that alert is associated with

Example:

"ab14afe2-9996-48c9-88cb-3c9fc6a88414"

issuer
string
required

Issuer of the alert

Example:

"HSBC"

cardBin
string
required

The bin of the card - first 6 or 8 digits

Example:

"483442"

cardLastFour
string
required

The last 4 digits of the card

Example:

"1234"

cardExpirationDate
string
required

The expiration date of the card

Example:

"12/25"

acquirerBin
string
required

The acquirer bin of the alert (VERIFI only)

Example:

"48344223"

status
enum<string>
required

The status of the alert

Available options:
NEW,
OPEN,
RESOLVED,
REFUNDED,
PROCESSING,
NOT_FOUND,
CHARGEBACK,
OTHER,
EXPIRED
Example:

"OPEN"

ruleType
string
required

The rule type that has triggered the resolution (VERIFI only)

Example:

"amount"

ruleName
string
required

The rule name that has triggered the resolution (VERIFI only)

Example:

"Above 10 AED"

installmentNumber
string
required

The number of the installment (VERIFI only)

Example:

"1"

pricingTier
string
required

The pricing tier of the alert (VERIFI only)

Example:

"Tier 2"

transactionTimeStamp
string<date-time>
required

The timestamp of the transaction in UTC TZ

Example:

"2024-12-12T12:00:00Z"

merchantDescriptor
string
required

The merchant descriptor

Example:

"MERCHANT STORE 1"

descriptorContact
string
required

The contact assigned to merchant descriptor

Example:

"John Doe / 971582212233"

ethocaMergantId
string
required

The merchant id in Ethoca system (ETHOCA only)

Example:

"123456"

merchantId
string
required

The generic merchant ID

Example:

"MERCHANTSTORE123"

merchantOrderId
string
required

The order ID provided by the merchant

Example:

"ORDER123"

merchantName
string
required

The merchant name

Example:

"Ecommerce Merchant LLC"

partnerId
string
required

The partner ID (VERIFI only)

Example:

"ABC123456"

partnerName
string
required

The partner name (VERIFI only)

Example:

"Partner Merchant LLC"

clientName
string
required

The client name (VERIFI only)

Example:

"John Doe"

caid
string
required

The descriptor CAID (VERIFI only)

Example:

"12345678"

mcc
string
required

The merchant category code (MCC)

Example:

"3901"

amount
number
required

The amount of the dispute

Example:

100.12

currency
string
required

The currency of the dispute

Example:

"AED"

transactionType
enum<string>
required

The type of the card entry for the transaction

Available options:
keyed,
swiped,
eCommerce,
unknown
Example:

"eCommerce"

initiatedBy
enum<string>
required

The initiator of the alert

Available options:
issuer,
cardholder,
not_available
Example:

"cardholder"

authCode
string | null
required

The authorization code of the acquirer

Example:

"123456"

source
string | null
required

The source of the alert

Example:

"Portal"

reasonCode
string | null
required

The reason code of the chargeback

Example:

"UAU123"

acquirerReferenceNumber
string | null
required

The acquirer reference number

Example:

"123456"

transactionId
string | null
required

The transaction ID (ETHOCA only)

Example:

"TRANS123456789"

chargebackAmount
number | null
required

The amount of the chargeback (ETHOCA only)

Example:

100.12

chargebackCurrency
string | null
required

The currency of the chargeback (ETHOCA only)

Example:

"AED"

paymentType
string | null
required

The payment type of the alert

Example:

"Credit Card"

createdAt
string<date-time>
required

The created date of the alert in the Trusto system

Example:

"2024-12-12T12:00:00Z"

updatedAt
string<date-time>
required

The updated date of the alert in the Trusto system

Example:

"2024-12-12T12:00:00Z"